/*
 * @Descripttion: 当前组件信息
 * @version: 1.0.0
 * @Author: 无尘
 * @Date: 2020-08-27 09:29:13
 * @LastEditors: 无尘
 * @LastEditTime: 2020-09-03 14:47:48
 */
import getFetch from './get-fetch.js';

let api = {
  // 顾客分配
  getGroupList: '/department-list', // 获取 gic 分组列表
  getStoreList: '/store-list', // 获取 gic 门店
  getAssignStatus: '/app-distribute-status', // 获取分配状态
  getNavChain: '/get-chain', // 获取面包屑
  getMemberList: {
    // 获取会员列表
    url: '/app-get-member-info-list',
    method: 'post',
    useFormData: true
  },
  getClerkList: '/clerk-list', // 获取导购列表
  getMemberCount: '', // 获取会员数量
  saveAssign: {
    // 保存分配会员
    url: '/',
    method: 'post',
    useFormData: true
  },
  // 数据维度
  getMemberData: '', // 获取会员卡
  getServiceData: '', // 获取服务号
  saveSortMember: {
    // 排序
    url: '/',
    method: 'post',
    useFormData: true,
    useIntercept: false
  },
  // 顾客展示
  getShowSet: '', // 获取顾客展示数据
  saveShowSet: {
    // 设置顾客展示数据
    url: '',
    method: 'post',
    useFormData: true,
    useIntercept: false
  },
  // 顾客资料
  getCustomerSet: '', // 获取顾客资料数据
  saveCustomerSet: {
    // 设置顾客资料数据
    url: '',
    method: 'post',
    useFormData: true,
    useIntercept: false
  },
  // 人群场景
  getGroupData: '/member-group-list', // 获取人群场景数据
  getClassifyData: '/member-group-category-list', // 获取分类数据
  postSortGroup: {
    // 排序
    url: '/member-group-sort',
    method: 'post',
    useFormData: true,
    useIntercept: false
  },
  getSyncMemberData: '/member-group-hb-list', // 获取人群场景同步数据
  saveSync: {
    // 保存同步
    url: '/member-group-save',
    method: 'post',
    useFormData: true,
    useIntercept: false
  },
  getVisiable: '/member-group-range-view', // 获取可见范围详情
  saveVisiable: {
    // 保存可见范围
    url: '/member-group-range-save',
    method: 'post',
    useFormData: true,
    useIntercept: false
  },
  // 导购标签
  getTagClassify: '/tagCategoryList', // 获取导购标签分类
  addClassify: '/tag-category-add', // 新增分类
  delClassify: {
    // 删除分类
    url: '/tag-category-del',
    method: 'post',
    useFormData: true,
    useIntercept: false
  },
  getClerkTag: '/member-tag-list', // 获取导购标签
  addClerkTag: '/member-tag-add', // 新增导购标签
  editClerkTag: '/member-tag-edit', // 编辑导购标签
  delClerkTag: {
    // 删除导购标签
    url: '/',
    method: 'post',
    useFormData: true,
    useIntercept: false
  },
  sortClerkTag: {
    // 导购标签排序
    url: '/',
    method: 'post',
    useFormData: true,
    useIntercept: false
  },
  getTagVisiable: '/member-tag-range-view', // 获取可见范围详情
  saveTagVisiable: {
    // 保存可见范围
    url: '/member-tag-range-save',
    method: 'post',
    useFormData: true,
    useIntercept: false
  },
};

api = getFetch(api, '/hb-manage-web');

export default api;
